<template>
  <LessonDesc
    :lesson-num="lessonNum"
    :tasks="tasks"
    has-playground
  >
    <template #desc>
      Projects use a lot of visual resources like images and SVG's.
      This lesson will focus on handling different types of tasks regarding images and SVG's
      and best patterns for handling them.
      <p>The resources are already placed in assets and are following:</p>
      <ul class="list-decimal pl-8 pt-2 space-y-2">
        <li>
          Default Vue logo (assets)
        </li>
        <li>
          SVG Vue Logo (assets/Lesson2)
        </li>
        <li>
          Local images for cycle (assets/Lesson2/CycleImages)
        </li>
      </ul>
    </template>
    <!-- <template #playground>
      Uncomment me for playground
    </template> -->
  </LessonDesc>
</template>

<script>
import LessonDesc from '@/components/LessonDesc.vue';

export default {
  name: 'Lesson2',
  components: {
    LessonDesc,
  },
  data() {
    return {
      lessonNum: 2,
      tasks: [
        'Overlay text over Vue logo image',
        'Toggle Vue logo SVG color on click (colors left up to the devs)',
        'Cycle trhough online image with clicking on the image container (use just one image tag) (https://picsum.photos/)',
        'Cycle through local images with clicking on the image container (use just one image tag)',
      ],
    };
  },
};
</script>
